%define snapshot 0
%define git 37ecc41

Summary:	Track runtime library calls from dynamically linked executables
Name:		ltrace
Version:	0.7.3
Release:	%mkrel 7
License:	GPLv2+
Group:		Development/Other
URL:		http://ltrace.alioth.debian.org/
%if %{snapshot}
# snapshot from http://anonscm.debian.org/gitweb/?p=collab-maint/ltrace.git
Source0:	ltrace-%{git}.tar.gz
%else
Source0:	http://alioth.debian.org/frs/download.php/file/3947/%{name}-%{version}.tar.bz2
%endif
# Work around a recently-added GCC warning (from fedora)
Patch1:		ltrace-0.7.2-unused-typedef.patch
# fix error: "_GNU_SOURCE" redefined
Patch2:		ltrace-0.7.0-gnu-source.patch
Patch3:		ltrace-0.7.3-gcc5.patch
ExclusiveArch:	%{ix86} x86_64 ppc x86_64 sparc alpha
BuildRequires:	elfutils-devel

%description
Ltrace is a debugging program which runs a specified command until the command
exits. While the command is executing, ltrace intercepts and records both the
dynamic library calls called by the executed process and the signals received
by the executed process. Ltrace can also intercept and print system calls
executed by the process.

You should install ltrace if you need a sysadmin tool for tracking the
execution of processes.

%prep

%if %{snapshot}
%setup -q -n %{name}-%{git}
%else
%setup -q
%endif

%patch1 -p1
%patch2 -p0
%patch3 -p1 -b .need_data

%build
export CFLAGS="%{optflags} -D_GNU_SOURCE=1"
%if %{snapshot}
./autogen.sh
%else
autoreconf -fi
%endif

%configure2_5x
%make

%install
%makeinstall_std

%files
%doc COPYING CREDITS INSTALL NEWS README TODO
%config(noreplace) %{_sysconfdir}/ltrace.conf
%{_bindir}/ltrace
%{_mandir}/man1/ltrace.1*
%{_mandir}/man5/ltrace.conf.5*


%changelog
* Fri Feb 12 2016 luigiwalser <luigiwalser> 0.7.3-7.mga6
+ Revision: 959354
- use configure2_5x

* Tue Oct 20 2015 tv <tv> 0.7.3-6.mga6
+ Revision: 893113
- fix build: package more docs

* Sat Aug 29 2015 cjw <cjw> 0.7.3-5.mga6
+ Revision: 870975
- patch3: fix warning causing build error
- remove redundant build requires

* Wed Oct 15 2014 umeabot <umeabot> 0.7.3-4.mga5
+ Revision: 739722
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7.3-3.mga5
+ Revision: 726988
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7.3-2.mga5
+ Revision: 682020
- Mageia 5 Mass Rebuild

* Wed Sep 18 2013 luigiwalser <luigiwalser> 0.7.3-1.mga4
+ Revision: 481084
- 0.7.3

* Sat Aug 24 2013 luigiwalser <luigiwalser> 0.7.2-3.mga4
+ Revision: 471334
- add patch from fedora to work around compiler warnings with new gcc

* Sat Jan 12 2013 umeabot <umeabot> 0.7.2-2.mga3
+ Revision: 359036
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 luigiwalser <luigiwalser> 0.7.2-1.mga3
+ Revision: 328086
- 0.7.2

* Fri Nov 30 2012 luigiwalser <luigiwalser> 0.7.1-1.mga3
+ Revision: 323280
- 0.7.1

* Sat Nov 24 2012 luigiwalser <luigiwalser> 0.7.0-1.mga3
+ Revision: 321621
- 0.7.0
- update URLs
- support using tarball from git or from download page
- package ltrace.conf manpage
- fix build error

* Tue Feb 22 2011 dmorgan <dmorgan> 0.6-0.81.5.mga1
+ Revision: 56986
- imported package ltrace

